> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Return Product Availability for a particular product on a given date range and a provided number (and ages) of travellers



## OpenAPI

````yaml /openapi/tourbuilder-api.openapi.json get /tap/v1/productAvailabilityForTravellers/{productId}/{fromDate}/{toDate}/{travellerMix}
openapi: 3.0.0
info:
  description: '"Tour Builder"'
  version: 1.0.0
  title: TOUR BUILDER API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //tourbuilder.adventium.tech:8082
security: []
tags:
  - name: booking-controller
    description: Booking Controller
  - name: builder-controller
    description: Builder Controller
  - name: index-controller
    description: Index Controller
  - name: tapapi-controller
    description: TAPAPI Controller
  - name: tdmsebs-controller
    description: TDMSEBS Controller
paths:
  /tap/v1/productAvailabilityForTravellers/{productId}/{fromDate}/{toDate}/{travellerMix}:
    get:
      tags:
        - tapapi-controller
      summary: >-
        Return Product Availability for a particular product on a given date
        range and a provided number (and ages) of travellers
      operationId: productAvailabilityForTravellersRangeUsingGET
      parameters:
        - name: fromDate
          in: path
          description: fromDate
          required: true
          schema:
            type: string
        - name: productId
          in: path
          description: productId
          required: true
          schema:
            type: string
        - name: toDate
          in: path
          description: toDate
          required: true
          schema:
            type: string
        - name: travellerMix
          in: path
          description: travellerMix
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_ProductDetailResponse_'
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    ResponseData_ProductDetailResponse_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ProductDetailResponse'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«ProductDetailResponse»
    ProductDetailResponse:
      type: object
      properties:
        productId:
          type: string
      title: ProductDetailResponse
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.